> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abusix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer



## OpenAPI

````yaml get /beta/guardian-ops/tenants/{tenantId}/customers/{customerId}
openapi: 3.0.1
info:
  title: abusix-api
  version: '2026-04-08T06:45:02Z'
servers:
  - url: https://api.abusix.com
security: []
paths:
  /beta/guardian-ops/tenants/{tenantId}/customers/{customerId}:
    get:
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
        - name: tenantId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
        '400':
          description: 400 response
          content: {}
        '401':
          description: 401 response
          content: {}
        '404':
          description: 404 response
          content: {}
      security:
        - abusix-api-gateway-authorizer-prod: []
components:
  schemas:
    Customer:
      required:
        - contract_count
        - customer_id
        - event_types
        - first_seen
        - last_seen
        - tenant_id
        - total_events
      type: object
      properties:
        contract_count:
          type: integer
          description: Number of contracts
        customer_id:
          type: string
          description: Customer identifier
        description:
          type: string
          description: Customer description
        event_types:
          type: array
          description: Types of events for this customer
          items:
            type: string
        first_seen:
          type: string
          description: First seen timestamp
          format: date-time
        last_seen:
          type: string
          description: Last seen timestamp
          format: date-time
        tenant_id:
          type: string
          description: Tenant identifier
        total_events:
          type: integer
          description: Total number of events
  securitySchemes:
    abusix-api-gateway-authorizer-prod:
      type: http
      scheme: bearer
      bearerFormat: JWT

````